<template>
  <checkauto-layout>
    <AppBreadcrumbs
      slot="line-breadcrumb"
      :breadcrumbs="breadcrumbs"/>

    <div
      slot="line-content"
      class="kit outer">
      <div class="kit view checkauto faq">
        <div class="content">
          <div class="description">
            <h1 class="title">{{ pageHeader }}</h1>

            <div
              class="kit helptext"
              v-html="content"/>

            <nuxt-link
              to="/check-auto"
              class="ui button icon transparent">
              <i class="icon arr-left"/>
              Вернуться к проверке авто
            </nuxt-link>

          </div>
          <div class="navigation">

            <nuxt-link
              to="/check-auto"
              class="ui button circular yellow desktopshow">
              <img
                svg-inline
                src="~/assets/svg/icons/i-search.svg">
              Проверка авто
            </nuxt-link>

            <faq-nav-tree
              v-for="(section,sIndex) in navigation"
              :help="help"
              :key="sIndex"
              :section="section"/>

          </div>
        </div>


        <div class="bottom">
          <nuxt-link
            to="/check-auto"
            class="ui button circular yellow mobilshow">
            <img
              svg-inline
              src="~/assets/svg/icons/i-search.svg">
            Проверить авто
          </nuxt-link>
          <payment v-model="paymentSystem.code"/>
        </div>
      </div>
    </div>

    <div
      class="tabler"
      style="display: none"/>

  </checkauto-layout>
</template>

<script>
import CheckautoLayout from '~/components/redesign/check-auto/main-layout';
import Payment from '~/components/redesign/blocks/payment';
import NavTree from '~/components/redesign/check-auto/faq/NavTree';
import AppBreadcrumbs from '~/components/redesign/app-breadcrumbs';

import { FaqList1, FaqList2, FaqList3 } from '~/assets/js/faq/check-auto';
import SeoMixin from '~/assets/js/mixins/seo/base';
import SeoPageMixin from '~/assets/js/mixins/seo/pages/main/check-auto/help';

export default {
  name: 'ReportHelp',
  components: {
    AppBreadcrumbs,
    'faq-nav-tree': NavTree,
    CheckautoLayout,
    Payment,
  },
  mixins: [SeoMixin, SeoPageMixin],
  async asyncData({ app, params, error }) {
    let dataInfo = null;
    let dataContent = null;

    try {
      [dataInfo, dataContent] = await Promise.all([
        app.$axios.$get('/_main/checkauto/info'),
        app.$axios.$get('/_main/seo/contents', { params: { url: `/check-auto/${params.help}` } }),
      ]);
    } catch (e) {
      console.error(e);
    }

    if (dataContent.data.title == null) {
      error({ statusCode: 404 });
    }
    return {
      title: dataContent.data.title,
      description: dataContent.data.description,
      pageHeader: dataContent.data.pageHeader,
      content: dataContent.data.content,
      paymentSystem: dataInfo.data.paymentSystem,
    };
  },
  data() {
    return {
      navigation: [FaqList1, FaqList2, FaqList3],
    };
  },
  computed: {
    help() {
      return this.$route.params.help;
    },
    breadcrumbs() {
      return [
        {
          url: '/check-auto',
          name: 'Проверка авто',
        },
        {
          url: '',
          name: `${this.pageHeader ? this.pageHeader : ''}`,
        },
      ];
    },
  },
};
</script>

<style scoped lang="postcss">
  @import '../../../../assets/css/pages/check-auto/checkauto-questions.css';
  .ui.button .svg {
    display: inline-block;
    vertical-align: middle;
    margin: 0 .375em 0 0;
    fill: #1b1c1d;
  }
  .content {
    display: flex;
    flex-flow: row nowrap;
    flex: 0 1 100%;
    @media only screen and (max-width: 980px) {
      flex-flow: column nowrap;
    }

    .description {
      max-width: 42rem;
      margin-right: auto;
      padding-right: 3rem;
      @media only screen and (max-width: 980px) {
        padding-right: 0;
      }

      h1 {
        font-size: 1.3125rem;
        font-weight: 700;
        color: #272727;
        padding: 0.25rem 0 0.75rem 0;
        margin: 0;
      }

      .text {
        .kit.view.checkauto {
          padding: 0 0.5rem;
        }

        h2 {
          font-size: 1rem;
          padding: 0.875rem 0 0.5rem;
          color: #272727;
          margin: 0;
          @media only screen and (max-width: 980px) {
            font-size: 1.125rem;
          }
        }

        p {
          font-size: 0.8125rem;
          line-height: 1.5;
          padding-bottom: 0.625rem;
          margin: 0;
          @media only screen and (max-width: 980px) {
            font-size: 0.9375rem;
          }
        }

        ul li {
          font-size: 0.8125rem;
          line-height: 1.5;
          padding-bottom: 0.625rem;
          margin: 0;
          @media only screen and (max-width: 980px) {
            font-size: 0.9375rem;
          }
        }

        ul {
          margin: 0;
          padding: 0;
          list-style-type: disc;
          padding-left: 1.25rem;
          padding-bottom: 0.625rem;

          li {
            padding: 0;
          }
        }

        .flex, .d-flex {
          display: flex;
          flex-flow: row nowrap;
          @media only screen and (max-width: 980px) {
            flex-flow: row wrap;
          }
        }

        img {
          display: block;
          margin-bottom: 0.625rem;
          width: 100% !important;
          height: auto;
          max-width: 44.75rem;
        }

        .img-vin, .d-ib {
          margin-right: 1.25rem;
          margin-bottom: 0.625rem;
          width: auto !important;
          @media only screen and (max-width: 980px) {
            width: 100% !important;
            max-width: 15.25rem;
          }
        }

        .img-zalog {
          display: block;
          margin-bottom: 0.625rem;
          width: 100%;
          height: auto;
          max-width: 44.75rem;
        }

        .kit.crash.block {
          width: 12.375rem;
          max-width: 12.375rem;
          height: auto;
          margin: 0 auto 0 0;
          @media screen and (max-width: 980px) {
            width: 100%;
            max-width: 80vw;
            margin: 1rem auto;
            height: auto;
            max-height: none;
            table.damageMap {
              width: 100%;
              max-width: 27.625rem;
            }
          }
        }
      }

      .ui.button.icon {
        font-size: 0.8125rem;
        color: #4a4a4a;
        text-decoration: none !important;
        margin: 1rem 0 0;

        i.icon {
          color: #4272a4;
          font-weight: 400;

          &.arr-left:before {
            content: "←";
          }
        }

        @media only screen and (max-width: 980px) {
          font-size: 1rem;
          font-weight: 500;
          padding: 1rem 0;
          i.icon {
            padding-right: 1rem;
            font-size: 0.875rem;
          }
        }
      }
    }
  }
</style>
